curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_block_trade_requests \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_block_trade_requests",
"params": {
"broker_code": "jpqYKgg1"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_block_trade_requests"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_block_trade_requests",
"params": { "broker_code": "jpqYKgg1" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'private/get_block_trade_requests',
params: {broker_code: 'jpqYKgg1'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_block_trade_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"jsonrpc": "2.0",
"result": [
{
"broker_code": "jpqYKgg1",
"broker_name": "Test Broker",
"counterparty_state": {
"timestamp": 1742824052538,
"value": "approved"
},
"nonce": "29rKkuD3NSBPet4njrpNWEuHBm9s",
"role": "taker",
"state": {
"timestamp": 1742824052539,
"value": "initial"
},
"timestamp": 1742824052538,
"trades": [
{
"amount": 100000,
"direction": "buy",
"instrument_name": "BTC-PERPETUAL",
"price": 87516.83
}
],
"user_id": 8,
"username": "Trader"
}
]
}private/get_block_trade_requests
Provides a list of block trade requests including pending approvals, declined trades, and expired trades. timestamp and nonce received in response can be used with private/approve_block_trade or private/reject_block_trade to approve or reject the pending block trade.
To use the block trade approval feature, an additional API key setting feature called enabled_features: block_trade_approval is required. This key has to be given to the broker/registered partner who performs the trades on behalf of the user for the feature to be active. If the user wants to approve the trade, they must approve it from a different API key that doesn’t have this feature enabled.
Only broker clients can use broker_code to query for their broker block trade requests.
📖 Related Article: Block Trading
Scope: rat#view or wallet:transactions:read
Query Parameters
Broker code to filter block trade requests. Only broker clients can use broker_code to query for their executed broker block trades.
"jpqYKgg1"
Was this page helpful?